blt.xaudio.setup()
buffers = {}
for i=1,5,1 do
	table.insert(buffers,XAudio.Buffer:new(ModPath .. "yeehaw/yeehaw" .. i .. ".ogg"))
end

--Multiplayer
Hooks:PostHook(ChatManager, "receive_message_by_peer", "yeehaw_multi", function(self, channel_id, peer, message)
	--sent message contains yeehaw
	if (string.find(message:lower(), "ye+haw") ~= nil) then
		local buff = buffers[math.random(#buffers)]
		--we try to figure out if we can play yeehaw on an actual person in the game
		local unit = peer:unit()

		if alive(unit) then
			XAudio.UnitSource:new(unit, buff)
		else
			--if we can't find a unit, we just play it
			XAudio.Source:new(buff)
		end
	end
end)

--Singleplayer
Hooks:PostHook(ChatManager, "receive_message_by_name", "yeehaw_single", function(self, channel_id, name, message)
	if (string.find(message:lower(), "ye+haw") ~= nil) then
		local buff = buffers[math.random(#buffers)]
		XAudio.Source:new(buff)
	end
end)